package com.hespinola.device_identifier;

import android.app.Activity;
import android.provider.Settings.Secure;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** DeviceIdentifierPlugin */
public class DeviceIdentifierPlugin implements MethodCallHandler {
  private final Activity activity;

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "device_identifier");
    channel.setMethodCallHandler(new DeviceIdentifierPlugin(registrar.activity()));
  }

  private DeviceIdentifierPlugin(Activity activity) {
    this.activity = activity;
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("id")) {
      result.success(Secure.getString(activity.getContentResolver(), Secure.ANDROID_ID));
    } else {
      result.notImplemented();
    }
  }
}
